error building from build script: unable to build libvpx

Hello. Until know I always used repositories to install kdenlive. Now, I got some advice using build script in order to have the newest version keeping the last stable one as well.
Anyway, following the instruction I keep getting the following error message:
...
[DEP] vpx_config.c.d
[CC] vpx_config.c.o
[AS] vp8/common/x86/iwalsh_mmx.asm.o
vp8/common/x86/iwalsh_mmx.asm:27: error: invalid combination of opcode and operands
make[1]: *** [vp8/common/x86/iwalsh_mmx.asm.o] Erreur 1
make: *** [.DEFAULT] Erreur 2

Thanks for your help. Kind regards

André-Frédéric

You are probably long gone by now, but I will give an answer for the people of the future who might be googling this problem (like I did).

You have to use the yasm assembler, not nasm.

Use the flag '--as=yasm' in your ./configure line.